Subject: Re: [PANRG] [irsg] IRSG review request draft-irtf-panrg-questions-07

From: Colin Perkins <[email-masked]>
Date: Fri, 15 Jan 2021 18:20:46 +0000

Brian, Laurent – thanks!

At this stage, I’ll wait for confirmation from Laurent and the RG chairs that the changes are okay, before proceeding with the IRSG final poll.

Colin

> On 23 Dec 2020, at 15:20, Brian Trammell (IETF) <[email-masked]> wrote:
> 
> hi Laurent,
> 
> Many thanks for the thorough review and useful comments!
> 
> Instead of addressing each comment in this mail thread (copying out of annotated PDF seems toilsome, and I'm trying to get this done by the end of 2020 :) ), I'll summarize some comments and responses here, and post a new revision addressing them shortly.
> 
> Comments that fall into the class "what about path-aware-like-thing-that-presents-an-interface-to-network-operations-and-not-the-endpoints", which indicates that the scope of these questions might need to be tightened up: we're looking at generalized approaches for getting control into the hands of end users and application developers, not network admins. Indeed, ALTO is a good example of a (proto-)path-awareness approach, and I'll point to it more explicitly. But unless I'm missing something, PCE is router-to-router, not end-to-end.
> 
> Comments of the type "this is unclearly phrased" or "say more here" were... universally quite helpful. I agree with all of them, sometimes wholeheartedly in a "what was I thinking when I wrote this" way :). Have proposed a rewording in each case.
> 
> With respect to the management of information radiated by path-aware approaches (your comment on the header for Section 3 asking for a ninth question)... that's a really interesting question, but I think it's properly an aspect of the eighth question (though it will be essential as part of any answer to it); will add something here. I'll note that the space of path aware networking architectures (where the network presents choices to the endpoint for network treatment) is better in this aspect than proposals that send data in the opposite direction (e.g. PLUS), but the data's still there and still needs to be managed.
> 
> Many thanks, again! Expect an -08 shortly.
> 
> Cheers, (happy|merry) ${HOLIDAY}, and may 2021 be less interesting,
> 
> Brian
> 
>> On 26 Nov 2020, at 11:11, Ciavaglia, Laurent (Nokia - FR/Paris-Saclay) <[email-masked]> wrote:
>> 
>> Dear Brian, all,
>> 
>> Please find attached my review of the draft.
>> 
>> Overall the document is in good shape.
>> 
>> My comments are mostly about needed clarifications for some statements, and suggestions for improvement.
>> 
>> Best regards, 
>> Laurent
>> 
>>> -----Original Message-----
>>> From: irsg <[email-masked]> On Behalf Of Colin Perkins
>>> Sent: Sunday, September 6, 2020 20:43
>>> To: The IRSG <[email-masked]>
>>> Cc: [email-masked]
>>> Subject: [irsg] IRSG review request draft-irtf-panrg-questions-07
>>> 
>>> IRSG members,
>>> 
>>> The Path Aware Networking Research Group has requested that draft-irtf-
>>> panrg-questions-07 be considered for publication as an IRTF RFC. To
>>> progress this draft, we now need *at least one* IRSG member to volunteer
>>> to provide a detailed review of the draft, as follows:
>>> 
>>>> The purpose of the IRSG review is to ensure consistent editorial and
>>> technical quality for IRTF publications. IRSG review is not a deep
>>> technical review. (This should take place within the RG.) At least one
>>> IRSG member other than the chair of the RG bringing the work forth must
>>> review the document and the RG’s editorial process.
>>>> 
>>>> IRSG reviewers should look for clear, cogent, and consistent writing. An
>>> important aspect of the review is to gain a critical reading from
>>> reviewers who are not subject matter experts and, in the process, assure
>>> the document will be accessible to those beyond the authoring research
>>> group. Also, reviewers should assess whether sufficient editorial and
>>> technical review has been conducted and the requirements for publication
>>> described in RFC 5743  have been met. Finally, reviewers should check that
>>> appropriate citations to related research literature have been made.
>>>> 
>>>> Reviews should be written to be public. Review comments should be sent
>>> to the IRSG and RG mailing lists and entered into the tracker. All IRSG
>>> review comments must be addressed. However, the RG need not accept every
>>> comment. It is the responsibility of the shepherd to understand the
>>> comments and ensure that the RG considers them including adequate dialog
>>> between the reviewer and the author and/or RG. Reviews and their
>>> resolution should be entered into the tracker by the document shepherd.
>>>> 
>>>> The IRSG review often results in the document being revised. Once the
>>> reviewer(s), authors, and shepherd have converged on review comments, the
>>> shepherd starts the IRSG Poll on whether the document should be published.
>>> 
>>> Please respond to this message if you’re able to perform such a review,
>>> and indicate the approximate time-frame by which you’ll be able to
>>> complete it. The document shepherd write-up is available at
>>> https://datatracker.ietf.org/doc/draft-irtf-panrg-
>>> questions/shepherdwriteup/
>>> 
>>> Thanks!
>>> 
>>> Colin (as IRTF chair)
>> 
>> <draft-irtf-panrg-questions-07-review-laurent.pdf>
> 

-- 
Colin Perkins
https://csperkins.org/